Description

Title says it all. This is at r22494.

History

#1 - 01/14/2010 10:59 PM - ben leinfelder

this was for kruger tpc09?
Where was the actor with the ">" in the name?
This might be a larger ptolemy restriction and therefore not something we'll resolve.

#2 - 01/15/2010 10:52 AM - Oliver Soong

In tpc09, it's nested in one of the composite actors. | think the one towards the bottom called structure/abundance or something similar.

Any simple test case will cause a problem, though.

#3 - 01/15/2010 11:57 AM - Derik Barseghian

The error | get is:

[Fatal Error] :66:19: The value of attribute "name" associated with an element type "entity" must not contain the '<' character.
org.kepler.provenance.QueryException: XML error: The value of attribute "name" associated with an element type "entity" must not contain the '<'
character.

at org.kepler.provenance.sql.SQLQueryV8._changeUnnamedWorkflow(SQLQueryV8.java:3208)

This happens during:
XMLParser parser = new XMLParser();
org.w3c.dom.Document doc = parser.parser(workflowStr);

The solution that comes to mind is to instead use the momiparser. However Dan has previously fixed a bug of mine that was caused by using
momlparser in SQLRecordingV8 (r22173): "the wf contains a prov recorder outputting to a text file and when it's parsed, opens the text file. so there
ends up being 2 objects trying to write to the text file"

I'll look into this...

#4 - 01/15/2010 12:17 PM - ben leinfelder

can you just not use those characters in your names in this [heavily-XML-based] application?
I'm mostly being serious.

#5 - 01/15/2010 12:39 PM - Oliver Soong

Well, I'm not sure what the restrictions are on actor names other than no dots. | wouldn't mind others, but then there should be an error or something
when | put in weird things like that.

#6 - 01/15/2010 12:44 PM - Derik Barseghian
As a test, locally | changed the method to instead use a momiparser, but unfortunately the same error crops up in KeplerActorMetadataExtractor

which uses a DocumentBuilder for parsing KeplerActorMetadata.

#7 - 01/21/2010 05:10 PM - ben leinfelder

retargeting to wrp - though perhaps it's a larger kepler issue?

#8 - 03/30/2010 05:51 PM - Derik Barseghian

This is a general Kepler issue. If we consider it a bug and not an enhancement request, it's a bug in 2.0 and trunk, so retargeting it to 2.0 for now.
To replicate in 2.0 or trunk:
Create a Workflow that contains a Display actor with the name: <>Display, and then File => Save Archive, and you'll get a stacktrace that starts:

[Fatal Error] :93:15: The value of attribute "name" associated with an element type "entity" must not contain the '<' character.
org.xml.sax.SAXParseException: The value of attribute "name" associated with an element type "entity" must not contain the '<' character.
at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)

at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)

at org.kepler.moml.KeplerMetadataExtractor.extractActorMetadata(KeplerMetadataExtractor.java:101)

at org.kepler.objectmanager.cache.ActorCacheObject.<init>(ActorCacheObject.java:142)

at org.kepler.kar.handlers.ActorMetadataKAREntryHandler.cache(ActorMetadataKAREntryHandler.java:169)

#9 - 04/14/2010 06:11 PM - Derik Barseghian

I've written part of a patch for this issue and am discussing it with Christopher.

#10 - 04/16/2010 04:03 PM - Derik Barseghian

Christopher checked in part of the fix in r57600 and r57601, and updated kepler to trunk and 2.0 branch to use these pt revs. I've just emailed him
some more patches - if they seem good, I'll also check in a few changes to Kepler, and should be able to close this bug.

#11 - 04/19/2010 04:42 PM - Derik Barseghian
This is fixed at r23778. I've restricted the gui to not allow < in the name of a kar, or in the workflow rename dialog. We can probably relax this later.

The user may still save a workflow with < in the name, and it will change to %3C, as before.

#12 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4671
